;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian develock-el package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The develock-el package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:

(if (not (file-exists-p "/usr/share/emacs/site-lisp/develock-el"))
    (message "Package develock-el removed but not purged.  Skipping setup.")
  (debian-pkg-add-load-path-item
   (concat "/usr/share/" (symbol-name debian-emacs-flavor)
	   "/site-lisp/develock-el"))

  (cond ((featurep 'xemacs)
	 (require 'develock)
	 ;; `turn-on-develock' is equivalent to `turn-on-font-lock',
	 ;;  except that it does not highlight the startup screen.
	 (add-hook 'lisp-interaction-mode-hook 'turn-on-develock)
	 (add-hook 'mail-setup-hook 'turn-on-font-lock))
	((>= emacs-major-version 20)
	 (require 'develock)
	 (global-font-lock-mode 1))))
